Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Class JifDelFactory_c

    java.lang.Object
      polyglot.ast.AbstractDelFactory_c
          jif.ast.JifDelFactory_c

All Implemented Interfaces:
  JifDelFactory, polyglot.ast.DelFactory

    public class JifDelFactory_c

extends polyglot.ast.AbstractDelFactory_c
implements JifDelFactory

Constructs Jif delegates

Constructor Summary
`protected` | `JifDelFactory_c()`

Method Summary
`protected polyglot.ast.JL` | `delArrayAccessAssignImpl()`
`protected polyglot.ast.JL` | `delArrayAccessImpl()`
`protected polyglot.ast.JL` | `delArrayInitImpl()`
`protected polyglot.ast.JL` | `delBinaryImpl()`
`protected polyglot.ast.JL` | `delCallImpl()`
`protected polyglot.ast.JL` | `delCastImpl()`
`protected polyglot.ast.JL` | `delCatchImpl()`
`protected polyglot.ast.JL` | `delClassDeclImpl()`
`protected polyglot.ast.JL` | `delConstructorCallImpl()`
`protected polyglot.ast.JL` | `delConstructorDeclImpl()`
`protected polyglot.ast.JL` | `delFieldAssignImpl()`
`protected polyglot.ast.JL` | `delFieldDeclImpl()`
`protected polyglot.ast.JL` | `delFieldImpl()`
`protected polyglot.ast.JL` | `delFormalImpl()`
`protected polyglot.ast.JL` | `delIfImpl()`
`protected polyglot.ast.JL` | `delInitializerImpl()`
`protected polyglot.ast.JL` | `delInstanceofImpl()`
`polyglot.ast.JL` | `delLabelExpr()`
`protected polyglot.ast.JL` | `delLabelExprImpl()`
`protected polyglot.ast.JL` | `delLocalDeclImpl()`
`protected polyglot.ast.JL` | `delMethodDeclImpl()`
`protected polyglot.ast.JL` | `delNewArrayImpl()`
`polyglot.ast.JL` | `delNewLabel()`
`protected polyglot.ast.JL` | `delNewLabelImpl()`
`protected polyglot.ast.JL` | `delThrowImpl()`
`protected polyglot.ast.JL` | `delTypeNodeImpl()`
`protected polyglot.ast.JL` | `postDelLabelExpr(polyglot.ast.JL e)`
`protected polyglot.ast.JL` | `postDelNewLabel(polyglot.ast.JL e)`

Methods inherited from class polyglot.ast.AbstractDelFactory_c
`composeDels, delAmbAssign, delAmbAssignImpl, delAmbExpr, delAmbExprImpl, delAmbPrefix, delAmbPrefixImpl, delAmbQualifierNode, delAmbQualifierNodeImpl, delAmbReceiver, delAmbReceiverImpl, delAmbTypeNode, delAmbTypeNodeImpl, delArrayAccess, delArrayAccessAssign, delArrayInit, delArrayTypeNode, delArrayTypeNodeImpl, delAssert, delAssertImpl, delAssign, delAssignImpl, delBinary, delBlock, delBlockImpl, delBooleanLit, delBooleanLitImpl, delBranch, delBranchImpl, delCall, delCanonicalTypeNode, delCanonicalTypeNodeImpl, delCase, delCaseImpl, delCast, delCatch, delCharLit, delCharLitImpl, delClassBody, delClassBodyImpl, delClassDecl, delClassLit, delClassLitImpl, delClassMember, delClassMemberImpl, delCodeDecl, delCodeDeclImpl, delCompoundStmt, delCompoundStmtImpl, delConditional, delConditionalImpl, delConstructorCall, delConstructorDecl, delDo, delDoImpl, delEmpty, delEmptyImpl, delEval, delEvalImpl, delExpr, delExprImpl, delField, delFieldAssign, delFieldDecl, delFloatLit, delFloatLitImpl, delFor, delForImpl, delFormal, delId, delIdImpl, delIf, delImport, delImportImpl, delInitializer, delInstanceof, delIntLit, delIntLitImpl, delLabeled, delLabeledImpl, delLit, delLitImpl, delLocal, delLocalAssign, delLocalAssignImpl, delLocalClassDecl, delLocalClassDeclImpl, delLocalDecl, delLocalImpl, delLoop, delLoopImpl, delMethodDecl, delNew, delNewArray, delNewImpl, delNode, delNodeImpl, delNodeList, delNodeListImpl, delNullLit, delNullLitImpl, delNumLit, delNumLitImpl, delPackageNode, delPackageNodeImpl, delProcedureDecl, delProcedureDeclImpl, delReturn, delReturnImpl, delSourceCollection, delSourceCollectionImpl, delSourceFile, delSourceFileImpl, delSpecial, delSpecialImpl, delStmt, delStmtImpl, delStringLit, delStringLitImpl, delSwitch, delSwitchBlock, delSwitchBlockImpl, delSwitchElement, delSwitchElementImpl, delSwitchImpl, delSynchronized, delSynchronizedImpl, delTerm, delTermImpl, delThrow, delTry, delTryImpl, delTypeNode, delUnary, delUnaryImpl, delWhile, delWhileImpl, nextDelFactory, postDelAmbAssign, postDelAmbExpr, postDelAmbPrefix, postDelAmbQualifierNode, postDelAmbReceiver, postDelAmbTypeNode, postDelArrayAccess, postDelArrayAccessAssign, postDelArrayInit, postDelArrayTypeNode, postDelAssert, postDelAssign, postDelBinary, postDelBlock, postDelBooleanLit, postDelBranch, postDelCall, postDelCanonicalTypeNode, postDelCase, postDelCast, postDelCatch, postDelCharLit, postDelClassBody, postDelClassDecl, postDelClassLit, postDelClassMember, postDelCodeDecl, postDelCompoundStmt, postDelConditional, postDelConstructorCall, postDelConstructorDecl, postDelDo, postDelEmpty, postDelEval, postDelExpr, postDelField, postDelFieldAssign, postDelFieldDecl, postDelFloatLit, postDelFor, postDelFormal, postDelId, postDelIf, postDelImport, postDelInitializer, postDelInstanceof, postDelIntLit, postDelLabeled, postDelLit, postDelLocal, postDelLocalAssign, postDelLocalClassDecl, postDelLocalDecl, postDelLoop, postDelMethodDecl, postDelNew, postDelNewArray, postDelNode, postDelNodeList, postDelNullLit, postDelNumLit, postDelPackageNode, postDelProcedureDecl, postDelReturn, postDelSourceCollection, postDelSourceFile, postDelSpecial, postDelStmt, postDelStringLit, postDelSwitch, postDelSwitchBlock, postDelSwitchElement, postDelSynchronized, postDelTerm, postDelThrow, postDelTry, postDelTypeNode, postDelUnary, postDelWhile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface polyglot.ast.DelFactory
`delAmbAssign, delAmbExpr, delAmbPrefix, delAmbQualifierNode, delAmbReceiver, delAmbTypeNode, delArrayAccess, delArrayAccessAssign, delArrayInit, delArrayTypeNode, delAssert, delAssign, delBinary, delBlock, delBooleanLit, delBranch, delCall, delCanonicalTypeNode, delCase, delCast, delCatch, delCharLit, delClassBody, delClassDecl, delClassLit, delClassMember, delCodeDecl, delCompoundStmt, delConditional, delConstructorCall, delConstructorDecl, delDo, delEmpty, delEval, delExpr, delField, delFieldAssign, delFieldDecl, delFloatLit, delFor, delFormal, delId, delIf, delImport, delInitializer, delInstanceof, delIntLit, delLabeled, delLit, delLocal, delLocalAssign, delLocalClassDecl, delLocalDecl, delLoop, delMethodDecl, delNew, delNewArray, delNode, delNodeList, delNullLit, delNumLit, delPackageNode, delProcedureDecl, delReturn, delSourceCollection, delSourceFile, delSpecial, delStmt, delStringLit, delSwitch, delSwitchBlock, delSwitchElement, delSynchronized, delTerm, delThrow, delTry, delTypeNode, delUnary, delWhile`

Constructor Detail

### JifDelFactory_c

    protected JifDelFactory_c()

Method Detail

### delArrayAccessImpl

    protected polyglot.ast.JL delArrayAccessImpl()

  Overrides:
    `delArrayAccessImpl` in class `polyglot.ast.AbstractDelFactory_c`

### delArrayAccessAssignImpl

    protected polyglot.ast.JL delArrayAccessAssignImpl()

  Overrides:
    `delArrayAccessAssignImpl` in class `polyglot.ast.AbstractDelFactory_c`

### delArrayInitImpl

    protected polyglot.ast.JL delArrayInitImpl()

  Overrides:
    `delArrayInitImpl` in class `polyglot.ast.AbstractDelFactory_c`

### delBinaryImpl

    protected polyglot.ast.JL delBinaryImpl()

  Overrides:
    `delBinaryImpl` in class `polyglot.ast.AbstractDelFactory_c`

### delCallImpl

    protected polyglot.ast.JL delCallImpl()

  Overrides:
    `delCallImpl` in class `polyglot.ast.AbstractDelFactory_c`

### delCastImpl

    protected polyglot.ast.JL delCastImpl()

  Overrides:
    `delCastImpl` in class `polyglot.ast.AbstractDelFactory_c`

### delCatchImpl

    protected polyglot.ast.JL delCatchImpl()

  Overrides:
    `delCatchImpl` in class `polyglot.ast.AbstractDelFactory_c`

### delClassDeclImpl

    protected polyglot.ast.JL delClassDeclImpl()

  Overrides:
    `delClassDeclImpl` in class `polyglot.ast.AbstractDelFactory_c`

### delFieldDeclImpl

    protected polyglot.ast.JL delFieldDeclImpl()

  Overrides:
    `delFieldDeclImpl` in class `polyglot.ast.AbstractDelFactory_c`

### delFieldImpl

    protected polyglot.ast.JL delFieldImpl()

  Overrides:
    `delFieldImpl` in class `polyglot.ast.AbstractDelFactory_c`

### delFieldAssignImpl

    protected polyglot.ast.JL delFieldAssignImpl()

  Overrides:
    `delFieldAssignImpl` in class `polyglot.ast.AbstractDelFactory_c`

### delFormalImpl

    protected polyglot.ast.JL delFormalImpl()

  Overrides:
    `delFormalImpl` in class `polyglot.ast.AbstractDelFactory_c`

### delIfImpl

    protected polyglot.ast.JL delIfImpl()

  Overrides:
    `delIfImpl` in class `polyglot.ast.AbstractDelFactory_c`

### delInitializerImpl

    protected polyglot.ast.JL delInitializerImpl()

  Overrides:
    `delInitializerImpl` in class `polyglot.ast.AbstractDelFactory_c`

### delInstanceofImpl

    protected polyglot.ast.JL delInstanceofImpl()

  Overrides:
    `delInstanceofImpl` in class `polyglot.ast.AbstractDelFactory_c`

### delLocalDeclImpl

    protected polyglot.ast.JL delLocalDeclImpl()

  Overrides:
    `delLocalDeclImpl` in class `polyglot.ast.AbstractDelFactory_c`

### delNewArrayImpl

    protected polyglot.ast.JL delNewArrayImpl()

  Overrides:
    `delNewArrayImpl` in class `polyglot.ast.AbstractDelFactory_c`

### delThrowImpl

    protected polyglot.ast.JL delThrowImpl()

  Overrides:
    `delThrowImpl` in class `polyglot.ast.AbstractDelFactory_c`

### delTypeNodeImpl

    protected polyglot.ast.JL delTypeNodeImpl()

  Overrides:
    `delTypeNodeImpl` in class `polyglot.ast.AbstractDelFactory_c`

### delConstructorCallImpl

    protected polyglot.ast.JL delConstructorCallImpl()

  Overrides:
    `delConstructorCallImpl` in class `polyglot.ast.AbstractDelFactory_c`

### delMethodDeclImpl

    protected polyglot.ast.JL delMethodDeclImpl()

  Overrides:
    `delMethodDeclImpl` in class `polyglot.ast.AbstractDelFactory_c`

### delConstructorDeclImpl

    protected polyglot.ast.JL delConstructorDeclImpl()

  Overrides:
    `delConstructorDeclImpl` in class `polyglot.ast.AbstractDelFactory_c`

### delLabelExpr

    public final polyglot.ast.JL delLabelExpr()

  Specified by:
    `delLabelExpr` in interface `JifDelFactory`

### delNewLabel

    public final polyglot.ast.JL delNewLabel()

  Specified by:
    `delNewLabel` in interface `JifDelFactory`

### delLabelExprImpl

    protected polyglot.ast.JL delLabelExprImpl()

### postDelLabelExpr

    protected polyglot.ast.JL postDelLabelExpr(polyglot.ast.JL e)

### delNewLabelImpl

    protected polyglot.ast.JL delNewLabelImpl()

### postDelNewLabel

    protected polyglot.ast.JL postDelNewLabel(polyglot.ast.JL e)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD